%global momorel 3

Summary: Abraction/convenience libraries
Name: ilmbase
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: Modified BSD
URL: http://www.openexr.org/
Group: System Environment/Libraries
Source0: http://savannah.nongnu.org/download/openexr/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-1.0.0-no_undefined.patch
Patch1: %{name}-1.0.0-pkgconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: libtool
BuildPreReq: pkgconfig

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libGL-devel
Requires: libGLU-devel
Requires: pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.

%prep
%setup -q

%patch0 -p1 -b .no_undefined
%patch1 -p1 -b .pkgconfig

# for Patch0
./bootstrap

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%check
make check

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/OpenEXR
%{_libdir}/pkgconfig/IlmBase.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- initial package for OpenEXR-1.6.1
- import 2 patches from Fedora
